package RunCases;

import java.sql.ResultSet;

import tools.DBResultPrinter;
import tools.MyDatabaseTools;

/**
 * @author Bastian Christoph
 *
 */
public class RunDBAufgaben {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		MyDatabaseTools dbTools = new MyDatabaseTools();
		dbTools.createDBConnection();
		
		String sql;
		ResultSet rsSelect;

		// Aufgabe 6.5 (a)
		sql = "SELECT P.*, L.Groesse FROM Produkt P, Lager L WHERE L.ProduktName = P.Name AND P.Hersteller = 'Reebok' AND L.Groesse = 42";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.5 (b)
		sql = "SELECT P.Name, L.Groesse, L.Anzahl FROM Lager L, Produkt P WHERE L.ProduktName = P.Name AND L.Anzahl < 12";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.5 (c)
		sql = "SELECT P.Hersteller FROM Lager L, Produkt P WHERE L.ProduktName = P.Name GROUP BY P.Hersteller HAVING MAX(P.Preis) < 125";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.6 (a)
		sql = "SELECT * FROM Lager L WHERE L.Anzahl > 30 AND L.ProduktName <> 'Evaluate Trainer'";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.6 (b)
		sql = "SELECT * FROM Produkt P WHERE P.Preis < 80";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.6 (c)
		sql = "SELECT P.Name, P.Preis FROM Produkt P WHERE P.Preis > 100";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.7 (a)
		sql = "SELECT P.Name, P.Hersteller FROM Produkt P ORDER BY P.Hersteller";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
		// Aufgabe 6.7 (b)
		sql = "SELECT SUM(L.Anzahl * P.Preis) AS LagerSumme FROM Lager L, Produkt P WHERE L.ProduktName = P.Name";
		dbTools.executeDBSelect(sql);
		rsSelect = dbTools.getResultSet();		
		DBResultPrinter.printResult(rsSelect);
		
	}	
}
